Name:           attract
Version:        2.7.0
Release:        %mkrel 3
Summary:        Graphical frontend for command line emulators
Group:          Emulators
License:        GPLv3+
URL:            https://attractmode.org/
Source0:        https://github.com/mickelson/attract/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         attract-2.7.0-makefile.patch
Patch10:        0001-fix-missing-include.patch
# Add compatibility with FFMPEG 7.0
# https://github.com/mickelson/attract/pull/756
Patch11:        0001-Add-compatibility-with-FFMPEG-7.0.patch

BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sfml-graphics)
BuildRequires:  pkgconfig(sfml-network)
BuildRequires:  pkgconfig(sfml-system)
BuildRequires:  pkgconfig(sfml-window)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(zlib)

%description
Attract-Mode is a graphical frontend for command line emulators such as
MAME, MESS, and Nestopia. It hides the underlying operating system and
is intended to be controlled with a joystick, gamepad or spin dial,
making it ideal for use in arcade cabinet setups.

%prep
%autosetup -p1

%build
%set_build_flags
export EXTRA_CXXFLAGS="%{optflags}"
%make_build

%install
%make_install

install -D -m644 util/icon.png %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Attract-Mode
Comment=Graphical frontend for command line emulators
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;Emulator;
EOF

%files
%doc Layouts.md Readme.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/512x512/apps/%{name}.png


%changelog
* Sun Dec 08 2024 daviddavid <daviddavid> 2.7.0-3.mga10
+ Revision: 2122701
- backport upstream patch to add compatibility with FFMPEG 7.0
- rebuild for new ffmpeg 7.1

* Wed Sep 04 2024 daviddavid <daviddavid> 2.7.0-2.mga10
+ Revision: 2093033
- enable libcurl support (mga#33516)

* Sun Mar 10 2024 daviddavid <daviddavid> 2.7.0-1.mga10
+ Revision: 2049018
- new version: 2.7.0

* Mon Mar 14 2022 akien <akien> 2.6.3-0.20220312.1.mga9
+ Revision: 1790962
- Dev snapshot 20220312 to fix ffmpeg 5.0 support
- Version 2.6.2
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Sat Oct 17 2020 akien <akien> 2.6.1-1.mga8
+ Revision: 1636569
- Version 2.6.1

* Fri Feb 14 2020 umeabot <umeabot> 2.5.1-2.mga8
+ Revision: 1520854
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Dec 11 2018 akien <akien> 2.5.1-1.mga7
+ Revision: 1340266
- Version 2.5.1

* Fri Sep 21 2018 umeabot <umeabot> 2.3.0-4.mga7
+ Revision: 1295092
- Mageia 7 Mass Rebuild

* Wed May 30 2018 akien <akien> 2.3.0-3.mga7
+ Revision: 1233088
- Rebuild for SFML 2.5.0

* Sun Apr 29 2018 daviddavid <daviddavid> 2.3.0-2.mga7
+ Revision: 1223469
- add upstream patch to fix build with ffmpeg 4.0

* Sat Dec 30 2017 akien <akien> 2.3.0-1.mga7
+ Revision: 1187622
- Version 2.3.0

* Tue May 02 2017 akien <akien> 2.2.1-3.mga6
+ Revision: 1098266
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 2.2.1-2.mga6
+ Revision: 1089835
- Rebuild for ffmpeg 3.2.4

* Mon Jan 09 2017 akien <akien> 2.2.1-1.mga6
+ Revision: 1080812
- Version 2.2.1

* Sun Nov 13 2016 akien <akien> 2.2.0-1.mga6
+ Revision: 1067056
- Version 2.2.0

* Sat Oct 08 2016 akien <akien> 2.1.0-1.mga6
+ Revision: 1059581
- Version 2.1.0

* Sun Apr 03 2016 akien <akien> 2.0.0-0.rc3.1.mga6
+ Revision: 997868
- Add desktop file and icon
- imported package attract

